%define fw_version 5.24

Summary:	KDE Frameworks 5 multi-language application scripting module
Name:		kross
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcompletion-devel >= %{version}
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	kdoctools-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kiconthemes-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	kservice-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 multi-language application scripting module.

Kross is a scripting bridge to embed scripting functionality into an
application. It supports QtScript as a scripting interpreter backend.

%files
%{_kde5_bindir}/kf5kross
%{_kde5_mandir}/man1/kf5kross.1*
%{_qt5_plugindir}/*.so
%{_qt5_plugindir}/script/*.so

#----------------------------------------------------------------------------

%package i18n
Summary:	Kross translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Kross translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5krosscore_major 5
%define libkf5krosscore %mklibname kf5krosscore %{kf5krosscore_major}

%package -n %{libkf5krosscore}
Summary:	KDE Frameworks 5 multi-language application scripting shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5krosscore}
KDE Frameworks 5 multi-language application scripting shared library.

%files -n %{libkf5krosscore}
%{_kde5_libdir}/libKF5KrossCore.so.%{kf5krosscore_major}*

#----------------------------------------------------------------------------

%define kf5krossui_major 5
%define libkf5krossui %mklibname kf5krossui %{kf5krossui_major}

%package -n %{libkf5krossui}
Summary:	KDE Frameworks 5 multi-language application scripting shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5krossui}
KDE Frameworks 5 multi-language application scripting shared library.

%files -n %{libkf5krossui}
%{_kde5_libdir}/libKF5KrossUi.so.%{kf5krossui_major}*

#----------------------------------------------------------------------------

%define devkf5kross %mklibname kf5kross -d

%package -n %{devkf5kross}
Summary:	Development files for KDE Frameworks 5 application scripting module
Group:		Development/KDE and Qt
Requires:	%{libkf5krosscore} = %{EVRD}
Requires:	%{libkf5krossui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kross-devel = %{version}

%description -n %{devkf5kross}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kross}
%{_kde5_includedir}/KF5/KrossCore
%{_kde5_includedir}/KF5/KrossUi
%{_kde5_includedir}/KF5/kross_version.h
%{_kde5_libdir}/cmake/KF5Kross
%{_kde5_libdir}/libKF5KrossCore.so
%{_kde5_libdir}/libKF5KrossUi.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (530bd3d) Add man pages translations


